#include "testApp.h"

//--------------------------------------------------------------
void testApp::setup(){	
    // iOS default stuff
	ofRegisterTouchEvents(this);
	ofxAccelerometer.setup();
	ofxiPhoneAlerts.addListener(this);
	//iPhoneSetOrientation(OFXIPHONE_ORIENTATION_LANDSCAPE_RIGHT);
	ofBackground(0,0,0);
    //
    mona.loadImage("Mona_Lisa.jpeg");
    mona.resize(mona.width/2,mona.height/2);
    posX=50;
    posY=50;
}

//--------------------------------------------------------------
void testApp::update(){
    printf("Frame: %i",ofGetFrameNum());
    printf("Pos: %f %f",posX,posY);
}

//--------------------------------------------------------------
void testApp::draw(){
	mona.draw(posX,posY);
}

//--------------------------------------------------------------
void testApp::exit(){

}

//--------------------------------------------------------------
void testApp::touchDown(ofTouchEventArgs &touch){
    if(touch.id==0){
        distX=touch.x-posX;
        distY=touch.y-posY;
    }

}

//--------------------------------------------------------------
void testApp::touchMoved(ofTouchEventArgs &touch){
    if(touch.id==0){
        if(touch.x>posX && touch.x<posX+mona.width 
        && touch.y>posY && touch.y<posY+mona.height){
            posX=touch.x-distX;
            posY=touch.y-distY;
        }
    }

}

//--------------------------------------------------------------
void testApp::touchUp(ofTouchEventArgs &touch){

}

//--------------------------------------------------------------
void testApp::touchDoubleTap(ofTouchEventArgs &touch){

}

//--------------------------------------------------------------
void testApp::lostFocus(){

}

//--------------------------------------------------------------
void testApp::gotFocus(){

}

//--------------------------------------------------------------
void testApp::gotMemoryWarning(){

}

//--------------------------------------------------------------
void testApp::deviceOrientationChanged(int newOrientation){

}


//--------------------------------------------------------------
void testApp::touchCancelled(ofTouchEventArgs& args){

}

